LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices

Reply
 
Search this Thread
Old 11-20-2004, 06:53 PM   #1
RJARRRPCGP
Member
 
Registered: Feb 2004
Location: USA (Springfield, Windsor County, Vermont)
Posts: 57

Rep: Reputation: 15
Help!!! Can't install glib, because configure can't find pkgconfig


I can't install glib 2.x, because configure can't find pkgconfig, even when I installed pkgconfig without any errors.

Additional information:

Mandrake Linux version 8.1

pkgconfig version 0.15.0 (I can't find any other version of pkgconfig to download
I will get error 404 if I go to http://freedesktop.org/software/pkgconfig!!!)

glib version 2.0.0 (GTK+ 2.4x expects pango 1.4!!!)

pango version 1.0.0 (I can't find pango 1.4 for download!!!)

------------------------------------------------------------------

The error message I got was about failing to find pkgconfig.

What's the problem?

Am I required to reboot after installing pkgconfig? (just like with Windows)
 
Old 11-20-2004, 09:43 PM   #2
SciYro
Senior Member
 
Registered: Oct 2003
Location: hopefully not here
Distribution: Gentoo
Posts: 2,038

Rep: Reputation: 51
why would you be compiling on a binary based distro?, it could mess up the entire system (well, only that toolkit)

it might be because there already a version of glib installed, i think i had a similar issue, had to remove all the files that glib/pango/atk installed just to get them to install correctly
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Xmms configure can't find glib shootempolitely Linux - Newbie 3 12-13-2004 09:28 PM
Help!!! Can't install glib 2.4.7, because the configure script can't find pkgconfig RJARRRPCGP Linux - Newbie 3 11-22-2004 12:20 AM
2 different versions of glib and pkgconfig! karl0s Linux - Software 4 09-01-2004 06:05 AM
trouble installing gtk, on glib pkgconfig returned 2.4.2 but 2.2.3 was found uv1 Linux - Newbie 7 08-02-2004 09:42 AM
Ardour - configure cannot find glib-config rtfondren Linux - Software 1 04-14-2004 05:29 PM


All times are GMT -5. The time now is 12:22 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration